# struct Kubernetes::ValidatingAdmissionPolicyBinding

- Kubernetes::ValidatingAdmissionPolicyBinding
- Struct
- Value
- Object

##
Overview

ValidatingAdmissionPolicyBinding binds the ValidatingAdmissionPolicy with paramerized resources. ValidatingAdmissionPolicyBinding and parameter CRDs together define how cluster administrators configure policies for clusters. For a given admission request, each binding will cause its policy to be evaluated N times, where N is 1 for policies/bindings that don't use params, otherwise N is the number of parameters selected by the binding. The CEL expressions of a policy must have a computed CEL cost below the maximum CEL budget. Each evaluation of the policy is given an independent CEL cost budget. Adding/removing policies, bindings, or params can not affect whether a given (policy, binding, param) combination is within its own CEL budget.

##
Included Modules

- JSON::Serializable
- Kubernetes::Serializable
- YAML::Serializable

##
Defined in:

generated/models/io_k8s_api_admissionregistration_v1.cr

##
Constructors

- .new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
- .new(pull : ::JSON::PullParser)
- .new(*, __pull_for_json_serializable pull : ::JSON::PullParser)
- .new(*, __context_for_yaml_serializable ctx : YAML::ParseContext, __node_for_yaml_serializable node : YAML::Nodes::Node)

##
Macro Summary

- field(name, type = nil, **options, &block)

  Helper macro for defining fields with automatic camelCase conversion

##
Instance Method Summary

- #api_version : String | Nil

  APIVersion defines the versioned schema of this representation of an object.

- #api_version=(api_version : String | Nil)

  APIVersion defines the versioned schema of this representation of an object.

- #kind : String | Nil

  Kind is a string value representing the REST resource this object represents.

- #kind=(kind : String | Nil)

  Kind is a string value representing the REST resource this object represents.

- #metadata : ObjectMeta | Nil

  Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata.

- #metadata=(metadata : ObjectMeta | Nil)

  Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata.

- #spec : ValidatingAdmissionPolicyBindingSpec | Nil

  Specification of the desired behavior of the ValidatingAdmissionPolicyBinding.

- #spec=(spec : ValidatingAdmissionPolicyBindingSpec | Nil)

  Specification of the desired behavior of the ValidatingAdmissionPolicyBinding.

##
Constructor Detail

def self.new(ctx : YAML::ParseContext, node : YAML::Nodes::Node) #
def self.new(pull : ::JSON::PullParser) #
def self.new(*, __pull_for_json_serializable pull : ::JSON::PullParser) #
def self.new(*, __context_for_yaml_serializable ctx : YAML::ParseContext, __node_for_yaml_serializable node : YAML::Nodes::Node) #

##
Macro Detail

macro field(name, type = nil, **options, &block) #

Helper macro for defining fields with automatic camelCase conversion

[View source]

##
Instance Method Detail

def api_version : String | Nil #

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

[View source]
def api_version=(api_version : String | Nil) #

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

[View source]
def kind : String | Nil #

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

[View source]
def kind=(kind : String | Nil) #

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

[View source]
def metadata : ObjectMeta | Nil #

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata.

[View source]
def metadata=(metadata : ObjectMeta | Nil) #

Standard object metadata; More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata.

[View source]
def spec : ValidatingAdmissionPolicyBindingSpec | Nil #

Specification of the desired behavior of the ValidatingAdmissionPolicyBinding.

[View source]
def spec=(spec : ValidatingAdmissionPolicyBindingSpec | Nil) #

Specification of the desired behavior of the ValidatingAdmissionPolicyBinding.

[View source]